Bug 1208616 - Review Request: consul - Tool for service discovery, monitoring and configuration http://www.consul.io
Summary: Review Request: consul - Tool for service discovery, monitoring and configura...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1211985 1211990 1212004 1212031 1212044 1212046 1212047 1212048 1212049 1212056 1212059 1212065 1212068 1212075 1212099 1212105 1212111 1212113 1212116 1212119 1212124 1212346 1212350
Blocks: 1211517
TreeView+ depends on / blocked
 
Reported: 2015-04-02 16:58 UTC by Timothy St. Clair
Modified: 2015-08-11 06:17 UTC (History)
11 users (show)

Fixed In Version: consul-0-0.1.git5079177.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-11 02:11:34 UTC
jpopelka: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Timothy St. Clair 2015-04-02 16:58:25 UTC
Right now this is just a placeholder/TODO. 

Spec URL: TBD
SRPM URL: TBD
Description: Consul is a tool for service discovery and configuration. Consul is distributed, highly available, and extremely scalable.
Fedora Account System Username: tstclair

Comment 2 Jan Chaloupka 2015-04-02 17:04:53 UTC
$ gofed github2spec hashicorp consul deec3bef9eb7ec368c828363cafeb31c4bccacc5
Repo URL:
https://github.com/hashicorp/consul

(1/4) Checking if the package already exists in PkgDB
(2/4) Downloading tarball
(3/4) Creating spec file
(4/4) Discovering golang dependencies
Class: github.com/armon/circbuf (golang-github-armon-circbuf) PkgDB=False
Class: github.com/armon/go-metrics (golang-github-armon-go-metrics) PkgDB=False
Class: github.com/armon/go-radix (golang-github-armon-go-radix) PkgDB=False
Class: github.com/armon/gomdb (golang-github-armon-gomdb) PkgDB=False
Class: github.com/hashicorp/go-checkpoint (golang-github-hashicorp-go-checkpoint) PkgDB=False
Class: github.com/hashicorp/go-msgpack (golang-github-hashicorp-go-msgpack) PkgDB=False
Class: github.com/hashicorp/go-syslog (golang-github-hashicorp-go-syslog) PkgDB=False
Class: github.com/hashicorp/golang-lru (golang-github-hashicorp-golang-lru) PkgDB=False
Class: github.com/hashicorp/hcl (golang-github-hashicorp-hcl) PkgDB=False
Class: github.com/hashicorp/logutils (golang-github-hashicorp-logutils) PkgDB=False
Class: github.com/hashicorp/memberlist (golang-github-hashicorp-memberlist) PkgDB=False
Class: github.com/hashicorp/raft (golang-github-hashicorp-raft) PkgDB=False
Class: github.com/hashicorp/raft-mdb (golang-github-hashicorp-raft-mdb) PkgDB=False
Class: github.com/hashicorp/scada-client (golang-github-hashicorp-scada-client) PkgDB=False
Class: github.com/hashicorp/serf (golang-github-hashicorp-serf) PkgDB=False
Class: github.com/hashicorp/yamux (golang-github-hashicorp-yamux) PkgDB=False
Class: github.com/inconshreveable/muxado (golang-github-inconshreveable-muxado) PkgDB=False
Class: github.com/ryanuber/columnize (golang-github-ryanuber-columnize) PkgDB=False

So about 18 new packages to fedora for the moment.

Comment 3 Jan Chaloupka 2015-04-16 15:21:53 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/consul/consul.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/consul/consul-0-0.1.git5079177.fc20.src.rpm

Description: Tool for service discovery, monitoring and configuration http://www.consul.io

Fedora Account System Username: jchaloup

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/consul-0-0.1.git5079177.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/x86_64/consul-0-0.1.git5079177.fc20.x86_64.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-consul-devel-0-0.1.git5079177.fc20.noarch.rpm /home/jchaloup/rpmbuild/RPMS/x86_64/consul-debuginfo-0-0.1.git5079177.fc20.x86_64.rpm
consul.x86_64: W: no-manual-page-for-binary consul
golang-github-hashicorp-consul-devel.noarch: W: pem-certificate /usr/share/gocode/src/github.com/hashicorp/consul/test/key/ssl-cert-snakeoil.pem
consul-debuginfo.x86_64: E: debuginfo-without-sources
4 packages and 0 specfiles checked; 1 errors, 2 warnings.

Comment 4 Jan Chaloupka 2015-04-16 15:37:31 UTC
Koji: the package depends on 23 other packages not packaged in Fedora. Locally it builds fine.

Notes: E: debuginfo-without-sources, this is bz1184221 related. This issue is fixed in f23 and f22. f21 and f20 are not. rpmlint is run on my f20 so for rawhide we should be fine. There is no man page and ssl-cert-snakeoil.pem is part of a test.

Comment 6 Timothy St. Clair 2015-07-13 20:27:41 UTC
what's left?

Comment 7 Jan Chaloupka 2015-07-14 07:55:57 UTC
Just review of this package, all its dependencies are already built.

Comment 10 Jan Chaloupka 2015-07-14 20:29:25 UTC
Any plans to build it for RHEL7 as well? If not it could be built in epel7.

Comment 13 Jan Chaloupka 2015-07-16 21:42:04 UTC
List of dependencies in deps directory.

Comment 14 Jan Chaloupka 2015-07-17 10:48:09 UTC
Newer koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10389523

Spec URL: https://jchaloup.fedorapeople.org/reviews/consul/consul.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/consul/consul-0-0.1.git5079177.fc20.src.rpm

rpmlint on koji build:
$ rpmlint consul-0-0.1.git5079177.fc24.x86_64.rpm consul-debuginfo-0-0.1.git5079177.fc24.x86_64.rpm golang-github-hashicorp-consul-devel-0-0.1.git5079177.fc24.noarch.rpm
consul.x86_64: W: no-manual-page-for-binary consul
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 15 Boris Ranto 2015-07-17 11:49:43 UTC
Overall Result
==============

The .spec file looks sane, the srpm builds fine locally -> setting review flag.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- The part about BuildArch do not need to have a %if
Can you fix that on import.

Otherwise, the package is ok

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: Rpmlint messages were already discussed by Jan.
[x]: Spec file according to URL is the same as in SRPM.

Comment 16 Jan Chaloupka 2015-07-17 12:03:54 UTC
New Package SCM Request
=======================
Package Name: consul
Short Description: Tool for service discovery, monitoring and configuration http://www.consul.io
Upstream URL: https://github.com/hashicorp/consul
Owners: jchaloup
Branches: f23 f22 f21 el6
InitialCC: golang-sig

Comment 17 Kevin Fenzi 2015-07-20 16:46:50 UTC
The git processing script doesn't see branto@redhat.com in the packager group. 
(which is needed to approve reviews). 

Are you in the packager group under another name/email?

Comment 18 Jiri Popelka 2015-07-20 17:20:38 UTC
Re-setting fedora-review flag.

Comment 19 Boris Ranto 2015-07-21 10:04:48 UTC
@Kevin: I just checked my fas account and I am in the packager group and I use the aforementioned e-mail there. I'm not sure what went wrong in the script though. Maybe a network fluke?

Comment 20 Gwyn Ciesla 2015-07-21 11:21:13 UTC
Git done (by process-git-requests).

Comment 21 Fedora Update System 2015-07-22 09:58:11 UTC
consul-0-0.1.git5079177.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/consul-0-0.1.git5079177.fc22

Comment 22 Fedora Update System 2015-07-22 09:58:31 UTC
consul-0-0.1.git5079177.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/consul-0-0.1.git5079177.fc21

Comment 23 Fedora Update System 2015-07-22 09:58:51 UTC
consul-0-0.1.git5079177.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/consul-0-0.1.git5079177.el6

Comment 24 Fedora Update System 2015-07-23 19:15:18 UTC
consul-0-0.1.git5079177.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 25 Timothy St. Clair 2015-08-03 14:01:44 UTC
@jan There are no official plans for EL7, I'm certain you would get almost instant adoption if it was on epel7.  

May want to check with others 1st.

Comment 26 Fedora Update System 2015-08-11 02:11:34 UTC
consul-0-0.1.git5079177.fc21 has been pushed to the Fedora 21 stable repository.

Comment 27 Fedora Update System 2015-08-11 02:12:15 UTC
consul-0-0.1.git5079177.fc22 has been pushed to the Fedora 22 stable repository.

Comment 28 Fedora Update System 2015-08-11 06:17:29 UTC
consul-0-0.1.git5079177.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.